local AAirUnit = import('/lua/modules/aeonunits.lua').AAirUnit

local WeaponFile = import('/lua/modules/defaultweapons.lua')
local CollisionBeamFile = import('/lua/modules/defaultcollisionbeams.lua')
local DefaultBeamWeapon = WeaponFile.DefaultBeamWeapon

CDFMicrowaveLaserGenerator = Class(DefaultBeamWeapon) {
    BeamType = CollisionBeamFile.MicrowaveLaserCollisionBeam02,
    FxMuzzleFlash = {},
}

local ADFLaserLightWeapon = CDFMicrowaveLaserGenerator

Seiya_XT3_Hades = Class(AAirUnit) {
    Weapons = {
        Turret = Class(ADFLaserLightWeapon) {
            FxMuzzleFlash = {},
        },
    },
}

TypeClass = Seiya_XT3_Hades